use std::borrow::BorrowMut;

use clap::Parser;

mod logger;

type Result<T> = anyhow::Result<T>;

fn main() -> Result<()> {
    // NOTE: Parses on first load
    let cliargs = &xmpd_cliargs::CLIARGS;
    logger::init(&cliargs);
    log::debug!("Initialising settings");
    xmpd_settings::Settings::get()?.load(Some(cliargs.settings_path()))?;
    log::debug!("Starting gui");
    xmpd_gui::start()?;
    Ok(())
}
