use std::sync::MutexGuard;

use crate::GuiState;

pub mod left_nav;
pub mod song_list;
pub mod top_nav;
pub mod player;
pub mod toast;

pub trait CompUi {
    fn draw(ui: &mut egui::Ui, state: &mut GuiState) -> crate::Result<()>;
}

pub trait CompGetter {
    fn get() -> crate::Result<MutexGuard<'static, Self>>;
}
