use crate::windows::WindowId;

use super::CompUi;

#[derive(Debug, Default)]
pub struct TopNav;

impl CompUi for TopNav {
    fn draw(ui: &mut egui::Ui, state: &mut crate::GuiState) -> crate::Result<()> {
        ui.add_space(3.0);
        ui.horizontal(|ui| {
            ui.add_space(3.0);
            egui::menu::bar(ui, |ui| {
                ui.menu_button("File", |ui| {
                    if ui.button("Settings").clicked() {
                        state.windows.toggle(&WindowId::Settings, true);
                        ui.close_menu();
                    }
                });
                ui.menu_button("Manifest", |ui| {
                    if ui.button("Save").clicked() {
                        handle_error_ui!(state.manifest.save());
                        ui.close_menu();
                    }
                });
                ui.menu_button("Help", |ui| {
                    if ui.button("Source").clicked() {
                        ui.ctx().open_url(egui::OpenUrl::new_tab("https://git.mcorangehq.xyz/XOR64/music"));
                        ui.close_menu();
                    }

                    #[cfg(debug_assertions)]
                    if ui.button("Debug").clicked() {
                        state.windows.toggle(&WindowId::Debug, true);
                        ui.close_menu();
                    }
        
                });

             });
        });

         Ok(())
     } 
}
