use uuid::Uuid;

#[derive(Debug, Clone, serde::Serialize, serde::Deserialize, PartialEq, PartialOrd, Default)]
pub struct Playlist {
    name: String,
    author: String,
    songs: Vec<Uuid>
}

impl Playlist {
    pub fn name(&self) -> &str {
        &self.name
    }
    pub fn author(&self) -> &str {
        &self.author
    }
    pub fn songs(&self) -> &Vec<Uuid> {
        &self.songs
    }
    pub fn songs_mut(&mut self) -> &mut Vec<Uuid> {
        &mut self.songs
    }
    pub fn set_name(&mut self, v: &str) {
        self.name = v.to_string();
    }
    pub fn set_author(&mut self, v: &str) {
        self.author = v.to_string();
    }
    pub fn add_song(&mut self, v: &Uuid) {
        self.songs.push(v.clone());
    }
    pub fn remove_song(&mut self, v: &Uuid) {
        for (i, id) in self.songs.iter().enumerate() {
            if id == v {
                self.songs.remove(i);
                break;
            }
        }
    }
}
