
fn manifest_creation_base<ST: crate::store::BaseStore + Clone>() {
    use crate::Manifest;

    let mut p = std::env::temp_dir();
    p.push("test_manifest");
    p.with_extension(ST::get_file_extension());

    let manifest: Manifest<ST> = Manifest::new(&p).unwrap();
    manifest.save().unwrap();
    let content = std::fs::read_to_string(&p).unwrap();
    println!("{}", content);
    assert!(content == ST::get_default_file_contents().to_string());
}

#[test]
pub fn manifest_creation_json() {
    manifest_creation_base::<crate::store::JsonStore>();
}
